' SocketTools 7.0 Error Codes
' Copyright 2011 Catalyst Development Corporation
' All rights reserved
'
' This module contains the confidential and proprietary information
' of Catalyst Development Corporation and may not be redistributed.
'
' This file is licensed to you pursuant to the terms of the
' product license agreement included with the original software,
' and is protected by copyright law and international treaties.
' Unauthorized reproduction or distribution may result in severe
' criminal penalties.
'

#IF NOT %DEF(%CSERROR7_INCLUDE)
%CSERROR7_INCLUDE = 1

%ST_ERROR_NOT_HANDLE_OWNER = &H80042711???
%ST_ERROR_FILE_NOT_FOUND = &H80042712???
%ST_ERROR_FILE_NOT_CREATED = &H80042713???
%ST_ERROR_OPERATION_CANCELED = &H80042714???
%ST_ERROR_INVALID_FILE_TYPE = &H80042715???
%ST_ERROR_INVALID_DEVICE = &H80042716???
%ST_ERROR_TOO_MANY_PARAMETERS = &H80042717???
%ST_ERROR_INVALID_FILE_NAME = &H80042718???
%ST_ERROR_INVALID_FILE_HANDLE = &H80042719???
%ST_ERROR_FILE_READ_FAILED = &H8004271A???
%ST_ERROR_FILE_WRITE_FAILED = &H8004271B???
%ST_ERROR_OUT_OF_MEMORY = &H8004271C???
%ST_ERROR_ACCESS_DENIED = &H8004271D???
%ST_ERROR_INVALID_PARAMETER = &H8004271E???
%ST_ERROR_CLIPBOARD_UNAVAILABLE = &H8004271F???
%ST_ERROR_CLIPBOARD_EMPTY = &H80042720???
%ST_ERROR_FILE_EMPTY = &H80042721???
%ST_ERROR_FILE_EXISTS = &H80042722???
%ST_ERROR_END_OF_FILE = &H80042723???
%ST_ERROR_DEVICE_NOT_FOUND = &H80042724???
%ST_ERROR_DIRECTORY_NOT_FOUND = &H80042725???
%ST_ERROR_INVALID_BUFFER = &H80042726???
%ST_ERROR_BUFFER_TOO_SMALL = &H80042727???
%ST_ERROR_NO_HANDLES = &H80042728???
%ST_ERROR_OPERATION_WOULD_BLOCK = &H80042733???
%ST_ERROR_OPERATION_IN_PROGRESS = &H80042734???
%ST_ERROR_ALREADY_IN_PROGRESS = &H80042735???
%ST_ERROR_INVALID_HANDLE = &H80042736???
%ST_ERROR_INVALID_ADDRESS = &H80042737???
%ST_ERROR_INVALID_SIZE = &H80042738???
%ST_ERROR_INVALID_PROTOCOL = &H80042739???
%ST_ERROR_PROTOCOL_NOT_AVAILABLE = &H8004273A???
%ST_ERROR_PROTOCOL_NOT_SUPPORTED = &H8004273B???
%ST_ERROR_SOCKET_NOT_SUPPORTED = &H8004273C???
%ST_ERROR_INVALID_OPTION = &H8004273D???
%ST_ERROR_PROTOCOL_FAMILY = &H8004273E???
%ST_ERROR_PROTOCOL_ADDRESS = &H8004273F???
%ST_ERROR_ADDRESS_IN_USE = &H80042740???
%ST_ERROR_ADDRESS_UNAVAILABLE = &H80042741???
%ST_ERROR_NETWORK_UNAVAILABLE = &H80042742???
%ST_ERROR_NETWORK_UNREACHABLE = &H80042743???
%ST_ERROR_NETWORK_RESET = &H80042744???
%ST_ERROR_CONNECTION_ABORTED = &H80042745???
%ST_ERROR_CONNECTION_RESET = &H80042746???
%ST_ERROR_OUT_OF_BUFFERS = &H80042747???
%ST_ERROR_ALREADY_CONNECTED = &H80042748???
%ST_ERROR_NOT_CONNECTED = &H80042749???
%ST_ERROR_CONNECTION_SHUTDOWN = &H8004274A???
%ST_ERROR_OPERATION_TIMEOUT = &H8004274C???
%ST_ERROR_CONNECTION_REFUSED = &H8004274D???
%ST_ERROR_HOST_UNAVAILABLE = &H80042750???
%ST_ERROR_HOST_UNREACHABLE = &H80042751???
%ST_ERROR_TOO_MANY_PROCESSES = &H80042753???
%ST_ERROR_NETWORK_NOT_READY = &H8004276B???
%ST_ERROR_INVALID_VERSION = &H8004276C???
%ST_ERROR_NETWORK_NOT_INITIALIZED = &H8004276D???
%ST_ERROR_REMOTE_SHUTDOWN = &H80042775???
%ST_ERROR_INVALID_HOSTNAME = &H80042AF9???
%ST_ERROR_HOSTNAME_NOT_FOUND = &H80042AFA???
%ST_ERROR_HOSTNAME_REFUSED = &H80042AFB???
%ST_ERROR_HOSTNAME_NOT_RESOLVED = &H80042AFC???
%ST_ERROR_INVALID_LICENSE = &H80042EE1???
%ST_ERROR_PRODUCT_NOT_LICENSED = &H80042EE2???
%ST_ERROR_NOT_IMPLEMENTED = &H80042EE3???
%ST_ERROR_UNKNOWN_LOCALHOST = &H80042EE4???
%ST_ERROR_INVALID_HOSTADDRESS = &H80042EE5???
%ST_ERROR_INVALID_SERVICE_PORT = &H80042EE6???
%ST_ERROR_INVALID_SERVICE_NAME = &H80042EE7???
%ST_ERROR_INVALID_EVENTID = &H80042EE8???
%ST_ERROR_OPERATION_NOT_BLOCKING = &H80042EE9???
%ST_ERROR_SECURITY_NOT_INITIALIZED = &H80042F45???
%ST_ERROR_SECURITY_CONTEXT = &H80042F46???
%ST_ERROR_SECURITY_CREDENTIALS = &H80042F47???
%ST_ERROR_SECURITY_CERTIFICATE = &H80042F48???
%ST_ERROR_SECURITY_DECRYPTION = &H80042F49???
%ST_ERROR_SECURITY_ENCRYPTION = &H80042F4A???
%ST_ERROR_OPERATION_NOT_SUPPORTED = &H80042FA9???
%ST_ERROR_INVALID_PROTOCOL_VERSION = &H80042FAA???
%ST_ERROR_NO_SERVER_RESPONSE = &H80042FAB???
%ST_ERROR_INVALID_SERVER_RESPONSE = &H80042FAC???
%ST_ERROR_UNEXPECTED_SERVER_RESPONSE = &H80042FAD???
%ST_ERROR_SERVER_TRANSACTION_FAILED = &H80042FAE???
%ST_ERROR_SERVICE_UNAVAILABLE = &H80042FAF???
%ST_ERROR_SERVICE_NOT_READY = &H80042FB0???
%ST_ERROR_SERVER_RESYNC_FAILED = &H80042FB1???
%ST_ERROR_INVALID_PROXY_TYPE = &H80042FB2???
%ST_ERROR_PROXY_REQUIRED = &H80042FB3???
%ST_ERROR_INVALID_PROXY_LOGIN = &H80042FB4???
%ST_ERROR_PROXY_RESYNC_FAILED = &H80042FB5???
%ST_ERROR_INVALID_COMMAND = &H80042FB6???
%ST_ERROR_INVALID_COMMAND_PARAMETER = &H80042FB7???
%ST_ERROR_INVALID_COMMAND_SEQUENCE = &H80042FB8???
%ST_ERROR_COMMAND_NOT_IMPLEMENTED = &H80042FB9???
%ST_ERROR_COMMAND_NOT_AUTHORIZED = &H80042FBA???
%ST_ERROR_COMMAND_ABORTED = &H80042FBB???
%ST_ERROR_OPTION_NOT_SUPPORTED = &H80042FBC???
%ST_ERROR_REQUEST_NOT_COMPLETED = &H80042FBD???
%ST_ERROR_INVALID_USERNAME = &H80042FBE???
%ST_ERROR_INVALID_PASSWORD = &H80042FBF???
%ST_ERROR_INVALID_ACCOUNT = &H80042FC0???
%ST_ERROR_ACCOUNT_REQUIRED = &H80042FC1???
%ST_ERROR_INVALID_AUTHENTICATION_TYPE = &H80042FC2???
%ST_ERROR_AUTHENTICATION_REQUIRED = &H80042FC3???
%ST_ERROR_PROXY_AUTHENTICATION_REQUIRED = &H80042FC4???
%ST_ERROR_ALREADY_AUTHENTICATED = &H80042FC5???
%ST_ERROR_AUTHENTICATION_FAILED = &H80042FC6???
%ST_ERROR_NETWORK_ADAPTER = &H80042FDB???
%ST_ERROR_INVALID_RECORD_TYPE = &H80042FDC???
%ST_ERROR_INVALID_RECORD_NAME = &H80042FDD???
%ST_ERROR_INVALID_RECORD_DATA = &H80042FDE???
%ST_ERROR_CONNECTION_OPEN = &H80042FDF???
%ST_ERROR_CONNECTION_CLOSED = &H80042FE0???
%ST_ERROR_CONNECTION_PASSIVE = &H80042FE1???
%ST_ERROR_CONNECTION_FAILED = &H80042FE2???
%ST_ERROR_INVALID_SECURITY_LEVEL = &H80042FE3???
%ST_ERROR_CACHED_TLS_REQUIRED = &H80042FE4???
%ST_ERROR_DATA_READ_ONLY = &H80042FE5???
%ST_ERROR_DATA_WRITE_ONLY = &H80042FE6???
%ST_ERROR_END_OF_DATA = &H80042FE7???
%ST_ERROR_REMOTE_FILE_UNAVAILABLE = &H80042FE8???
%ST_ERROR_INSUFFICIENT_STORAGE = &H80042FE9???
%ST_ERROR_STORAGE_ALLOCATION = &H80042FEA???
%ST_ERROR_DIRECTORY_EXISTS = &H80042FEB???
%ST_ERROR_DIRECTORY_EMPTY = &H80042FEC???
%ST_ERROR_END_OF_DIRECTORY = &H80042FED???
%ST_ERROR_UNKNOWN_DIRECTORY_FORMAT = &H80042FEE???
%ST_ERROR_INVALID_RESOURCE = &H80042FEF???
%ST_ERROR_RESOURCE_REDIRECTED = &H80042FF0???
%ST_ERROR_RESOURCE_RESTRICTED = &H80042FF1???
%ST_ERROR_RESOURCE_NOT_MODIFIED = &H80042FF2???
%ST_ERROR_RESOURCE_NOT_FOUND = &H80042FF3???
%ST_ERROR_RESOURCE_CONFLICT = &H80042FF4???
%ST_ERROR_RESOURCE_REMOVED = &H80042FF5???
%ST_ERROR_CONTENT_LENGTH_REQUIRED = &H80042FF6???
%ST_ERROR_REQUEST_PRECONDITION = &H80042FF7???
%ST_ERROR_UNSUPPORTED_MEDIA_TYPE = &H80042FF8???
%ST_ERROR_INVALID_CONTENT_RANGE = &H80042FF9???
%ST_ERROR_INVALID_MESSAGE_PART = &H80042FFA???
%ST_ERROR_INVALID_MESSAGE_HEADER = &H80042FFB???
%ST_ERROR_INVALID_MESSAGE_BOUNDARY = &H80042FFC???
%ST_ERROR_NO_FILE_ATTACHMENT = &H80042FFD???
%ST_ERROR_UNKNOWN_FILE_TYPE = &H80042FFE???
%ST_ERROR_DATA_NOT_ENCODED = &H80042FFF???
%ST_ERROR_DATA_NOT_DECODED = &H80043000???
%ST_ERROR_FILE_NOT_ENCODED = &H80043001???
%ST_ERROR_FILE_NOT_DECODED = &H80043002???
%ST_ERROR_NO_MESSAGE_TEXT = &H80043003???
%ST_ERROR_INVALID_CHARACTER_SET = &H80043004???
%ST_ERROR_INVALID_ENCODING_TYPE = &H80043005???
%ST_ERROR_INVALID_MESSAGE_NUMBER = &H80043006???
%ST_ERROR_NO_RETURN_ADDRESS = &H80043007???
%ST_ERROR_NO_VALID_RECIPIENTS = &H80043008???
%ST_ERROR_INVALID_RECIPIENT = &H80043009???
%ST_ERROR_RELAY_NOT_AUTHORIZED = &H8004300A???
%ST_ERROR_MAILBOX_UNAVAILABLE = &H8004300B???
%ST_ERROR_MAILBOX_READONLY = &H8004300C???
%ST_ERROR_MAILBOX_NOT_SELECTED = &H8004300D???
%ST_ERROR_INVALID_MAILBOX = &H8004300E???
%ST_ERROR_INVALID_DOMAIN = &H8004300F???
%ST_ERROR_INVALID_SENDER = &H80043010???
%ST_ERROR_MESSAGE_NOT_DELIVERED = &H80043011???
%ST_ERROR_END_OF_MESSAGE_DATA = &H80043012???
%ST_ERROR_INVALID_MESSAGE_SIZE = &H80043013???
%ST_ERROR_MESSAGE_NOT_CREATED = &H80043014???
%ST_ERROR_NO_MORE_MAILBOXES = &H80043015???
%ST_ERROR_INVALID_EMULATION_TYPE = &H80043016???
%ST_ERROR_INVALID_FONT_HANDLE = &H80043017???
%ST_ERROR_INVALID_FONT_NAME = &H80043018???
%ST_ERROR_INVALID_PACKET_SIZE = &H80043019???
%ST_ERROR_INVALID_PACKET_DATA = &H8004301A???
%ST_ERROR_INVALID_PACKET_ID = &H8004301B???
%ST_ERROR_PACKET_TTL_EXPIRED = &H8004301C???
%ST_ERROR_INVALID_NEWSGROUP = &H8004301D???
%ST_ERROR_NO_NEWSGROUP_SELECTED = &H8004301E???
%ST_ERROR_EMPTY_NEWSGROUP = &H8004301F???
%ST_ERROR_INVALID_ARTICLE = &H80043020???
%ST_ERROR_NO_ARTICLE_SELECTED = &H80043021???
%ST_ERROR_FIRST_ARTICLE = &H80043022???
%ST_ERROR_LAST_ARTICLE = &H80043023???
%ST_ERROR_ARTICLE_EXISTS = &H80043024???
%ST_ERROR_ARTICLE_REJECTED = &H80043025???
%ST_ERROR_ARTICLE_TRANSFER_FAILED = &H80043026???
%ST_ERROR_ARTICLE_POSTING_DENIED = &H80043027???
%ST_ERROR_ARTICLE_POSTING_FAILED = &H80043028???
%ST_ERROR_INVALID_DATE_FORMAT = &H80043029???
%ST_ERROR_FEATURE_NOT_SUPPORTED = &H8004302A???
%ST_ERROR_INVALID_FORM_HANDLE = &H8004302B???
%ST_ERROR_INVALID_FORM_ACTION = &H8004302C???
%ST_ERROR_INVALID_FORM_METHOD = &H8004302D???
%ST_ERROR_INVALID_FORM_TYPE = &H8004302E???
%ST_ERROR_INVALID_FORM_FIELD = &H8004302F???
%ST_ERROR_EMPTY_FORM = &H80043030???
%ST_ERROR_MAXIMUM_CONNECTIONS = &H80043031???
%ST_ERROR_THREAD_CREATION_FAILED = &H80043032???
%ST_ERROR_INVALID_THREAD_HANDLE = &H80043033???
%ST_ERROR_THREAD_TERMINATED = &H80043034???
%ST_ERROR_THREAD_DEADLOCK = &H80043035???
%ST_ERROR_INVALID_CLIENT_MONIKER = &H80043036???
%ST_ERROR_CLIENT_MONIKER_EXISTS = &H80043037???
%ST_ERROR_SERVER_INACTIVE = &H80043038???
%ST_ERROR_SERVER_SUSPENDED = &H80043039???
%ST_ERROR_NO_MESSAGE_STORE = &H8004303A???
%ST_ERROR_MESSAGE_STORE_CHANGED = &H8004303B???
%ST_ERROR_MESSAGE_NOT_FOUND = &H8004303C???
%ST_ERROR_MESSAGE_DELETED = &H8004303D???
%ST_ERROR_FILE_CHECKSUM_MISMATCH = &H8004303E???
%ST_ERROR_FILE_SIZE_MISMATCH = &H8004303F???
%ST_ERROR_INVALID_FEED_URL = &H80043040???
%ST_ERROR_INVALID_FEED_FORMAT = &H80043041???
%ST_ERROR_INVALID_FEED_VERSION = &H80043042???
%ST_ERROR_CHANNEL_EMPTY = &H80043043???
%ST_ERROR_INVALID_ITEM_NUMBER = &H80043044???
%ST_ERROR_ITEM_NOT_FOUND = &H80043045???
%ST_ERROR_ITEM_EMPTY = &H80043046???
%ST_ERROR_INVALID_ITEM_PROPERTY = &H80043047???
%ST_ERROR_ITEM_PROPERTY_NOT_FOUND = &H80043048???
%ST_ERROR_INVALID_CHANNEL_TITLE = &H80043049???
%ST_ERROR_INVALID_CHANNEL_LINK = &H8004304A???
%ST_ERROR_INVALID_CHANNEL_DESCRIPTION = &H8004304B???
%ST_ERROR_INVALID_ITEM_TEXT = &H8004304C???
%ST_ERROR_INVALID_ITEM_LINK = &H8004304D???

#ENDIF
