'
' SocketWrench 7.0 Build 7000
' Copyright 2011 Catalyst Development Corporation
' All rights reserved
'
' This file is licensed to you pursuant to the terms of the
' Catalyst license agreement included with the original software
' and is protected by copyright law and international treaties.
' Unauthorized reproduction or distribution may result in severe
' criminal penalties.
'

#IF NOT %DEF(%CSWSOCK7_INCLUDE)
%CSWSOCK7_INCLUDE = 1
#INCLUDE "CSERROR7.INC"
#INCLUDE "CSWSKEY7.INC"

%CSTOOLS_VERSION_MAJOR = 7
%CSTOOLS_VERSION_MINOR = 0
%CSTOOLS_VERSION_BUILD = 7000

%INVALID_SOCKET = &HFFFFFFFF???

%TRACE_DEFAULT = &H0
%TRACE_INFO = &H0
%TRACE_ERROR = &H1
%TRACE_WARNING = &H2
%TRACE_HEXDUMP = &H4
%TRACE_PROCESS = &H1000

%SECURITY_PROTOCOL_NONE = 0
%SECURITY_PROTOCOL_SSL2 = &H1
%SECURITY_PROTOCOL_SSL3 = &H2
%SECURITY_PROTOCOL_PCT1 = &H4
%SECURITY_PROTOCOL_TLS1 = &H8
%SECURITY_PROTOCOL_SSL = &H3
%SECURITY_PROTOCOL_PCT = &H4
%SECURITY_PROTOCOL_TLS = &H8
%SECURITY_PROTOCOL_SSH1 = &H10
%SECURITY_PROTOCOL_SSH2 = &H20
%SECURITY_PROTOCOL_SSH = &H30
%SECURITY_PROTOCOL_DEFAULT = &HA
%SECURITY_PROTOCOL_UNKNOWN = &H1000

%SECURITY_CIPHER_NONE = 0
%SECURITY_CIPHER_RC2 = &H1
%SECURITY_CIPHER_RC4 = &H2
%SECURITY_CIPHER_RC5 = &H4
%SECURITY_CIPHER_DES = &H8
%SECURITY_CIPHER_DES3 = &H10
%SECURITY_CIPHER_DESX = &H20
%SECURITY_CIPHER_AES = &H40
%SECURITY_CIPHER_SKIPJACK = &H80
%SECURITY_CIPHER_BLOWFISH = &H100
%SECURITY_CIPHER_UNKNOWN = &H1000

%SECURITY_HASH_NONE = 0
%SECURITY_HASH_MD5 = &H1
%SECURITY_HASH_SHA = &H2
%SECURITY_HASH_UNKNOWN = &H1000

%SECURITY_KEYEX_NONE = 0
%SECURITY_KEYEX_RSA = &H1
%SECURITY_KEYEX_KEA = &H2
%SECURITY_KEYEX_DH = &H4
%SECURITY_KEYEX_ECDH = &H8
%SECURITY_KEYEX_UNKNOWN = &H1000

%SECURITY_CERTIFICATE_NONE = 0
%SECURITY_CERTIFICATE_VALID = 1
%SECURITY_CERTIFICATE_NOMATCH = 2
%SECURITY_CERTIFICATE_EXPIRED = 3
%SECURITY_CERTIFICATE_REVOKED = 4
%SECURITY_CERTIFICATE_UNTRUSTED = 5
%SECURITY_CERTIFICATE_INVALID = 6

%CREDENTIAL_STORE_CURRENT_USER = 1
%CREDENTIAL_STORE_LOCAL_MACHINE = 2
%CREDENTIAL_STORE_FILENAME = 4

%INET_ERROR = -1
%INET_TIMEOUT = 20
%INET_BACKLOG = 5

%INET_ADDRESS_UNKNOWN = 0
%INET_ADDRESS_IPV4 = 2
%INET_ADDRESS_IPV6 = 23
%INET_ADDRESS_ANY = 0
%INET_ADDRESS_DEFAULT = 2

%INET_PROTOCOL_TCP = 6
%INET_PROTOCOL_UDP = 17
%INET_PROTOCOL_RAW = 255

%INET_PORT_ANY = 0
%INET_PORT_ECHO = 7
%INET_PORT_DISCARD = 9
%INET_PORT_SYSTAT = 11
%INET_PORT_DAYTIME = 13
%INET_PORT_NETSTAT = 15
%INET_PORT_CHARGEN = 19
%INET_PORT_FTP = 21
%INET_PORT_SSH = 22
%INET_PORT_TELNET = 23
%INET_PORT_SMTP = 25
%INET_PORT_TIMESERVER = 37
%INET_PORT_NAMESERVER = 42
%INET_PORT_WHOIS = 43
%INET_PORT_DOMAIN = 53
%INET_PORT_MTP = 57
%INET_PORT_TFTP = 69
%INET_PORT_GOPHER = 70
%INET_PORT_FINGER = 79
%INET_PORT_HTTP = 80
%INET_PORT_POPPASS = 106
%INET_PORT_POP3 = 110
%INET_PORT_NNTP = 119
%INET_PORT_IMAP = 143
%INET_PORT_SNMP = 161
%INET_PORT_HTTPS = 443
%INET_PORT_SMTPS = 465
%INET_PORT_REXEC = 512
%INET_PORT_RLOGIN = 513
%INET_PORT_RSHELL = 514
%INET_PORT_NNTPS = 563
%INET_PORT_LDAPS = 636
%INET_PORT_FTPS = 990
%INET_PORT_TELNETS = 992
%INET_PORT_IMAPS = 993
%INET_PORT_POP3S = 995
%INET_PORT_RESERVED = 1024
%INET_PORT_USERRESERVED = 5000

%INET_OPTION_NONE = &H0000???
%INET_OPTION_BROADCAST = &H0001???
%INET_OPTION_DONTROUTE = &H0002???
%INET_OPTION_KEEPALIVE = &H0004???
%INET_OPTION_REUSEADDR = &H0008???
%INET_OPTION_NODELAY = &H0010???
%INET_OPTION_INLINE = &H0020???
%INET_OPTION_SECURE = &H1000???
%INET_OPTION_IPV6ONLY = &H40000???
%INET_OPTION_FREETHREAD = &H80000???
%INET_OPTION_DEFAULT = %INET_OPTION_NONE

%INET_STATUS_UNUSED = 0
%INET_STATUS_IDLE = 1
%INET_STATUS_LISTEN = 2
%INET_STATUS_CONNECT = 3
%INET_STATUS_ACCEPT = 4
%INET_STATUS_READ = 5
%INET_STATUS_WRITE = 6
%INET_STATUS_FLUSH = 7
%INET_STATUS_DISCONNECT = 8

%INET_STREAM_UNUSED = 0
%INET_STREAM_READ = 1
%INET_STREAM_WRITE = 2
%INET_STREAM_DEFAULT = 0
%INET_STREAM_MEMORY = 1
%INET_STREAM_HGLOBAL = 2
%INET_STREAM_HANDLE = 3
%INET_STREAM_SOCKET = 4
%INET_STREAM_CONVERT = &H10000???
%INET_STREAM_UNICODE = &H80000000???

%INET_SHUTDOWN_READ = 0
%INET_SHUTDOWN_WRITE = 1
%INET_SHUTDOWN_READWRITE = 2
%INET_SHUTDOWN_BOTH = %INET_SHUTDOWN_READWRITE

%INET_SECURITY_NONE = %SECURITY_PROTOCOL_NONE
%INET_SECURITY_SSL2 = %SECURITY_PROTOCOL_SSL2
%INET_SECURITY_SSL3 = %SECURITY_PROTOCOL_SSL3
%INET_SECURITY_PCT1 = %SECURITY_PROTOCOL_PCT1
%INET_SECURITY_TLS1 = %SECURITY_PROTOCOL_TLS1
%INET_SECURITY_SSL = %SECURITY_PROTOCOL_SSL
%INET_SECURITY_PCT = %SECURITY_PROTOCOL_PCT
%INET_SECURITY_TLS = %SECURITY_PROTOCOL_TLS
%INET_SECURITY_DEFAULT = %SECURITY_PROTOCOL_DEFAULT

%INET_PRIORITY_BACKGROUND = 0
%INET_PRIORITY_LOW = 1
%INET_PRIORITY_NORMAL = 2
%INET_PRIORITY_HIGH     = 3
%INET_PRIORITY_CRITICAL = 4
%INET_PRIORITY_DEFAULT = %INET_PRIORITY_NORMAL
%INET_PRIORITY_LOWEST = %INET_PRIORITY_BACKGROUND
%INET_PRIORITY_HIGHEST = %INET_PRIORITY_CRITICAL

%INET_SERVER_INACTIVE = 0
%INET_SERVER_STARTED = 1
%INET_SERVER_LISTENING = 2
%INET_SERVER_SUSPENDED = 3
%INET_SERVER_SHUTDOWN = 4

%INET_EVENT_ACCEPT = &H1
%INET_EVENT_CONNECT = &H2
%INET_EVENT_DISCONNECT = &H4
%INET_EVENT_READ = &H8
%INET_EVENT_WRITE = &H10
%INET_EVENT_TIMEOUT = &H20
%INET_EVENT_CANCEL = &H40
%INET_EVENT_PROGRESS = &H80

TYPE SYSTEMTIME
    wYear AS WORD
    wMonth AS WORD
    wDayOfWeek AS WORD
    wDay AS WORD
    wHour AS WORD
    wMinute AS WORD
    wSecond AS WORD
    wMilliseconds AS WORD
END TYPE

TYPE INTERNET_ADDRESS
    ipFamily AS LONG
    ipNumber(0 TO 15) AS BYTE
END TYPE

#IF %DEF(%UNICODE)
TYPE SECURITYINFO
    dwSize AS DWORD
    dwProtocol AS DWORD
    dwCipher AS DWORD
    dwCipherStrength AS DWORD
    dwHash AS DWORD
    dwHashStrength AS DWORD
    dwKeyExchange AS DWORD
    dwCertStatus AS DWORD
    stCertIssued AS SYSTEMTIME
    stCertExpires AS SYSTEMTIME
    lpszCertIssuer AS WSTRINGZ PTR
    lpszCertSubject AS WSTRINGZ PTR
    lpszFingerprint AS WSTRINGZ PTR
END TYPE
#ELSE
TYPE SECURITYINFO
    dwSize AS DWORD
    dwProtocol AS DWORD
    dwCipher AS DWORD
    dwCipherStrength AS DWORD
    dwHash AS DWORD
    dwHashStrength AS DWORD
    dwKeyExchange AS DWORD
    dwCertStatus AS DWORD
    stCertIssued AS SYSTEMTIME
    stCertExpires AS SYSTEMTIME
    lpszCertIssuer AS STRINGZ PTR
    lpszCertSubject AS STRINGZ PTR
    lpszFingerprint AS STRINGZ PTR
END TYPE
#ENDIF

#IF %DEF(%UNICODE)
TYPE SECURITYCREDENTIALS
    dwSize AS DWORD
    dwProtocol AS DWORD
    dwOptions AS DWORD
    dwReserved AS DWORD
    lpszHostName AS WSTRINGZ PTR
    lpszUserName AS WSTRINGZ PTR
    lpszPassword AS WSTRINGZ PTR
    lpszCertStore AS WSTRINGZ PTR
    lpszCertName AS WSTRINGZ PTR
    lpszKeyFile AS WSTRINGZ PTR
    cData AS BYTE
END TYPE
#ELSE
TYPE SECURITYCREDENTIALS
    dwSize AS DWORD
    dwProtocol AS DWORD
    dwOptions AS DWORD
    dwReserved AS DWORD
    lpszHostName AS STRINGZ PTR
    lpszUserName AS STRINGZ PTR
    lpszPassword AS STRINGZ PTR
    lpszCertStore AS STRINGZ PTR
    lpszCertName AS STRINGZ PTR
    lpszKeyFile AS STRINGZ PTR
    cData AS BYTE
END TYPE
#ENDIF

TYPE INETSTREAMINFO
    dwStreamThread AS DWORD
    dwStreamSize AS DWORD
    dwStreamCopied AS DWORD
    dwStreamMode AS DWORD
    dwStreamError AS DWORD
    dwBytesPerSecond AS DWORD
    dwTimeElapsed AS DWORD
    dwTimeEstimated AS DWORD
END TYPE

#IF %DEF(%UNICODE)
TYPE INITDATA
    dwSize AS DWORD
    dwVersionMajor AS DWORD
    dwVersionMinor AS DWORD
    dwVersionBuild AS DWORD
    dwOptions AS DWORD
    dwReserved1 AS DWORD
    dwReserved2 AS DWORD
    szDescription AS WSTRINGZ * 128
END TYPE
#ELSE
TYPE INITDATA
    dwSize AS DWORD
    dwVersionMajor AS DWORD
    dwVersionMinor AS DWORD
    dwVersionBuild AS DWORD
    dwOptions AS DWORD
    dwReserved1 AS DWORD
    dwReserved2 AS DWORD
    szDescription AS STRINGZ * 128
END TYPE
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetInitialize STDCALL LIB "cswskav7.dll" ALIAS "InetInitializeW" ( _
        BYREF lpszRuntimeKey AS WSTRINGZ, _
        OPTIONAL BYVAL dwReserved AS DWORD _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetInitialize STDCALL LIB "cswskav7.dll" ALIAS "InetInitializeA" ( _
        BYREF lpszRuntimeKey AS STRINGZ, _
        OPTIONAL BYVAL dwReserved AS DWORD _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetAbort STDCALL LIB "cswskav7.dll" ALIAS "InetAbort" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetAccept STDCALL LIB "cswskav7.dll" ALIAS "InetAccept" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG _
        ) AS DWORD

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetAcceptEx STDCALL LIB "cswskav7.dll" ALIAS "InetAcceptExW" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetAcceptEx STDCALL LIB "cswskav7.dll" ALIAS "InetAcceptExA" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ENDIF

DECLARE FUNCTION InetAsyncAccept STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncAccept" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetAsyncAcceptEx STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncAcceptExW" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL lpCredentials AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetAsyncAcceptEx STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncAcceptExA" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL lpCredentials AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetAsyncConnect STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncConnectW" ( _
        BYREF lpszRemoteHost AS WSTRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL lpCredentials AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetAsyncConnect STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncConnectA" ( _
        BYREF lpszRemoteHost AS STRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL lpCredentials AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetAsyncConnectEx STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncConnectExW" ( _
        BYREF lpszRemoteHost AS WSTRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYREF lpszLocalAddress AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL lpCredentials AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetAsyncConnectEx STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncConnectExA" ( _
        BYREF lpszRemoteHost AS STRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYREF lpszLocalAddress AS STRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL lpCredentials AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetAsyncListen STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncListenW" ( _
        BYREF lpszLocalAddress AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetAsyncListen STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncListenA" ( _
        BYREF lpszLocalAddress AS STRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetAsyncListenEx STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncListenExW" ( _
        BYREF lpszLocalAddress AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL nBacklog AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetAsyncListenEx STDCALL LIB "cswskav7.dll" ALIAS "InetAsyncListenExA" ( _
        BYREF lpszLocalAddress AS STRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL nBacklog AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS DWORD
#ENDIF

DECLARE FUNCTION InetAttachSocket STDCALL LIB "cswskav7.dll" ALIAS "InetAttachSocket" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYVAL dwProcessId AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetAttachThread STDCALL LIB "cswskav7.dll" ALIAS "InetAttachThread" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYVAL dwThreadId AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetCancel STDCALL LIB "cswskav7.dll" ALIAS "InetCancel" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetConnect STDCALL LIB "cswskav7.dll" ALIAS "InetConnectW" ( _
        BYREF lpszRemoteHost AS WSTRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetConnect STDCALL LIB "cswskav7.dll" ALIAS "InetConnectA" ( _
        BYREF lpszRemoteHost AS STRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetConnectEx STDCALL LIB "cswskav7.dll" ALIAS "InetConnectExW" ( _
        BYREF lpszRemoteHost AS WSTRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYREF lpszLocalAddress AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetConnectEx STDCALL LIB "cswskav7.dll" ALIAS "InetConnectExA" ( _
        BYREF lpszRemoteHost AS STRINGZ, _
        BYVAL nRemotePort AS LONG, _
        BYVAL nProtocol AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYREF lpszLocalAddress AS STRINGZ, _
        BYVAL nLocalPort AS LONG, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetCreateSecurityCredentials STDCALL LIB "cswskav7.dll" ALIAS "InetCreateSecurityCredentialsW" ( _
        BYVAL dwProtocol AS DWORD, _
        BYVAL dwOptions AS DWORD, _
        BYREF lpszUserName AS WSTRINGZ, _
        BYREF lpszPassword AS WSTRINGZ, _
        BYREF lpszCertStore AS WSTRINGZ, _
        BYREF lpszCertName AS WSTRINGZ, _
        BYVAL dwReserved AS DWORD, _
        BYREF lppCredentials AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetCreateSecurityCredentials STDCALL LIB "cswskav7.dll" ALIAS "InetCreateSecurityCredentialsA" ( _
        BYVAL dwProtocol AS DWORD, _
        BYVAL dwOptions AS DWORD, _
        BYREF lpszUserName AS STRINGZ, _
        BYREF lpszPassword AS STRINGZ, _
        BYREF lpszCertStore AS STRINGZ, _
        BYREF lpszCertName AS STRINGZ, _
        BYVAL dwReserved AS DWORD, _
        BYREF lppCredentials AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE SUB InetDeleteSecurityCredentials STDCALL LIB "cswskav7.dll" ALIAS "InetDeleteSecurityCredentialsW" ( _
        BYREF lppCredentials AS DWORD _
        )
#ELSE
DECLARE SUB InetDeleteSecurityCredentials STDCALL LIB "cswskav7.dll" ALIAS "InetDeleteSecurityCredentialsA" ( _
        BYREF lppCredentials AS DWORD _
        )
#ENDIF

DECLARE FUNCTION InetDetachThread STDCALL LIB "cswskav7.dll" ALIAS "InetDetachThread" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYVAL dwThreadId AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetDisableEvents STDCALL LIB "cswskav7.dll" ALIAS "InetDisableEvents" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetDisableSecurity STDCALL LIB "cswskav7.dll" ALIAS "InetDisableSecurity" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYVAL dwReserved AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetDisableTrace STDCALL LIB "cswskav7.dll" ALIAS "InetDisableTrace" () AS LONG

DECLARE FUNCTION InetDisconnect STDCALL LIB "cswskav7.dll" ALIAS "InetDisconnect" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetEnableEvents STDCALL LIB "cswskav7.dll" ALIAS "InetEnableEvents" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL hEventWnd AS DWORD, _
        BYVAL uEventMsg AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetEnableSecurity STDCALL LIB "cswskav7.dll" ALIAS "InetEnableSecurityW" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYVAL dwReserved AS DWORD, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetEnableSecurity STDCALL LIB "cswskav7.dll" ALIAS "InetEnableSecurityA" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYVAL dwReserved AS DWORD, _
        OPTIONAL BYVAL lpCredentials AS DWORD _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetEnableTrace STDCALL LIB "cswskav7.dll" ALIAS "InetEnableTraceW" ( _
        BYREF lpszTraceFile AS WSTRINGZ, _
        OPTIONAL BYVAL dwTraceFlags AS DWORD _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetEnableTrace STDCALL LIB "cswskav7.dll" ALIAS "InetEnableTraceA" ( _
        BYREF lpszTraceFile AS STRINGZ, _
        OPTIONAL BYVAL dwTraceFlags AS DWORD _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetEnumHostAliases STDCALL LIB "cswskav7.dll" ALIAS "InetEnumHostAliasesW" ( _
        BYREF lpszHostName AS WSTRINGZ, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpszBuffer AS WSTRINGZ, _
        BYVAL cbMaxBuffer AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetEnumHostAliases STDCALL LIB "cswskav7.dll" ALIAS "InetEnumHostAliasesA" ( _
        BYREF lpszHostName AS STRINGZ, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpszBuffer AS STRINGZ, _
        BYVAL cbMaxBuffer AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetEnumNetworkAddresses STDCALL LIB "cswskav7.dll" ALIAS "InetEnumNetworkAddresses" ( _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddressList AS INTERNET_ADDRESS, _
        BYVAL nMaxAddresses AS LONG _
        ) AS LONG

DECLARE FUNCTION InetFlush STDCALL LIB "cswskav7.dll" ALIAS "InetFlush" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetFormatAddress STDCALL LIB "cswskav7.dll" ALIAS "InetFormatAddressW" ( _
        BYREF lpAddress AS INTERNET_ADDRESS, _
        BYREF lpszAddress AS WSTRINGZ, _
        BYVAL cchAddress AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetFormatAddress STDCALL LIB "cswskav7.dll" ALIAS "InetFormatAddressA" ( _
        BYREF lpAddress AS INTERNET_ADDRESS, _
        BYREF lpszAddress AS STRINGZ, _
        BYVAL cchAddress AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetFreezeEvents STDCALL LIB "cswskav7.dll" ALIAS "InetFreezeEvents" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL bFreeze AS LONG _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetAddressW" ( _
        BYREF lpszAddress AS WSTRINGZ, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddress AS INTERNET_ADDRESS _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetAddressA" ( _
        BYREF lpszAddress AS STRINGZ, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddress AS INTERNET_ADDRESS _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetAddressFamily STDCALL LIB "cswskav7.dll" ALIAS "InetGetAddressFamilyW" ( _
        BYREF lpszAddress AS WSTRINGZ _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetAddressFamily STDCALL LIB "cswskav7.dll" ALIAS "InetGetAddressFamilyA" ( _
        BYREF lpszAddress AS STRINGZ _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetGetBlockingSocket STDCALL LIB "cswskav7.dll" ALIAS "InetGetBlockingSocket" () AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetDefaultHostFile STDCALL LIB "cswskav7.dll" ALIAS "InetGetDefaultHostFileW" ( _
        BYREF lpszFileName AS WSTRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetDefaultHostFile STDCALL LIB "cswskav7.dll" ALIAS "InetGetDefaultHostFileA" ( _
        BYREF lpszFileName AS STRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetErrorString STDCALL LIB "cswskav7.dll" ALIAS "InetGetErrorStringW" ( _
        BYVAL dwError AS DWORD, _
        BYREF lpszError AS WSTRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetErrorString STDCALL LIB "cswskav7.dll" ALIAS "InetGetErrorStringA" ( _
        BYVAL dwError AS DWORD, _
        BYREF lpszError AS STRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetGetExternalAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetExternalAddress" ( _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddress AS INTERNET_ADDRESS _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetHostAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetHostAddressW" ( _
        BYREF lpszHostName AS WSTRINGZ, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddress AS INTERNET_ADDRESS _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetHostAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetHostAddressA" ( _
        BYREF lpszHostName AS STRINGZ, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddress AS INTERNET_ADDRESS _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetHostFile STDCALL LIB "cswskav7.dll" ALIAS "InetGetHostFileW" ( _
        BYREF lpszFileName AS WSTRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetHostFile STDCALL LIB "cswskav7.dll" ALIAS "InetGetHostFileA" ( _
        BYREF lpszFileName AS STRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetHostName STDCALL LIB "cswskav7.dll" ALIAS "InetGetHostNameW" ( _
        BYREF lpAddress AS INTERNET_ADDRESS, _
        BYREF lpszHostName AS WSTRINGZ, _
        BYVAL cchHostName AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetHostName STDCALL LIB "cswskav7.dll" ALIAS "InetGetHostNameA" ( _
        BYREF lpAddress AS INTERNET_ADDRESS, _
        BYREF lpszHostName AS STRINGZ, _
        BYVAL cchHostName AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetGetLastError STDCALL LIB "cswskav7.dll" ALIAS "InetGetLastError" () AS LONG

DECLARE FUNCTION InetGetLocalAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetLocalAddress" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nAddressFamily AS LONG, _
        BYREF lpAddress AS INTERNET_ADDRESS, _
        BYREF lpnPort AS LONG _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetLocalName STDCALL LIB "cswskav7.dll" ALIAS "InetGetLocalNameW" ( _
        BYREF lpszHostName AS WSTRINGZ, _
        BYVAL cchHostName AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetLocalName STDCALL LIB "cswskav7.dll" ALIAS "InetGetLocalNameA" ( _
        BYREF lpszHostName AS STRINGZ, _
        BYVAL cchHostName AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetGetOption STDCALL LIB "cswskav7.dll" ALIAS "InetGetOption" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL dwOption AS DWORD, _
        BYREF lpbEnabled AS LONG _
        ) AS LONG

DECLARE FUNCTION InetGetPeerAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetPeerAddress" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpAddress AS INTERNET_ADDRESS, _
        BYREF lpnPort AS LONG _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetPhysicalAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetPhysicalAddressA" ( _
        BYREF lpszAddress AS WSTRINGZ, _
        BYVAL cchAddress AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetPhysicalAddress STDCALL LIB "cswskav7.dll" ALIAS "InetGetPhysicalAddressA" ( _
        BYREF lpszAddress AS STRINGZ, _
        BYVAL cchAddress AS LONG _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetSecurityInformation STDCALL LIB "cswskav7.dll" ALIAS "InetGetSecurityInformationW" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpSecurityInfo AS SECURITYINFO _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetSecurityInformation STDCALL LIB "cswskav7.dll" ALIAS "InetGetSecurityInformationA" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpSecurityInfo AS SECURITYINFO _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetServiceName STDCALL LIB "cswskav7.dll" ALIAS "InetGetServiceNameW" ( _
        BYVAL nServicePort AS LONG, _
        BYREF lpszServiceName AS WSTRINGZ, _
        BYVAL cchServiceName AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetServiceName STDCALL LIB "cswskav7.dll" ALIAS "InetGetServiceNameA" ( _
        BYVAL nServicePort AS LONG, _
        BYREF lpszServiceName AS STRINGZ, _
        BYVAL cchServiceName AS LONG _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetServicePort STDCALL LIB "cswskav7.dll" ALIAS "InetGetServicePortW" ( _
        BYREF lpszServiceName AS WSTRINGZ _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetServicePort STDCALL LIB "cswskav7.dll" ALIAS "InetGetServicePortA" ( _
        BYREF lpszServiceName AS STRINGZ _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetGetStatus STDCALL LIB "cswskav7.dll" ALIAS "InetGetStatus" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetGetStreamInfo STDCALL LIB "cswskav7.dll" ALIAS "InetGetStreamInfo" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpStreamInfo AS INETSTREAMINFO _
        ) AS LONG

DECLARE FUNCTION InetGetTimeout STDCALL LIB "cswskav7.dll" ALIAS "InetGetTimeout" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetIsBlocking STDCALL LIB "cswskav7.dll" ALIAS "InetIsBlocking" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetIsConnected STDCALL LIB "cswskav7.dll" ALIAS "InetIsConnected" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetIsClosed STDCALL LIB "cswskav7.dll" ALIAS "InetIsClosed" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetIsListening STDCALL LIB "cswskav7.dll" ALIAS "InetIsListening" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetIsReadable STDCALL LIB "cswskav7.dll" ALIAS "InetIsReadable" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL dwTimeout AS DWORD, _
        BYREF lpdwAvail AS LONG _
        ) AS LONG

DECLARE FUNCTION InetIsUrgent STDCALL LIB "cswskav7.dll" ALIAS "InetIsUrgent" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetIsWritable STDCALL LIB "cswskav7.dll" ALIAS "InetIsWritable" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL dwTimeout AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetListen STDCALL LIB "cswskav7.dll" ALIAS "InetListenW" ( _
        BYREF lpszLocalAddress AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetListen STDCALL LIB "cswskav7.dll" ALIAS "InetListenA" ( _
        BYREF lpszLocalAddress AS STRINGZ, _
        BYVAL nLocalPort AS LONG _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetListenEx STDCALL LIB "cswskav7.dll" ALIAS "InetListenExW" ( _
        BYREF lpszLocalAddress AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL nBacklog AS LONG, _
        BYVAL dwOptions AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetListenEx STDCALL LIB "cswskav7.dll" ALIAS "InetListenExA" ( _
        BYREF lpszLocalAddress AS STRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL nBacklog AS LONG, _
        BYVAL dwOptions AS DWORD _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetMatchHostName STDCALL LIB "cswskav7.dll" ALIAS "InetMatchHostNameW" ( _
        BYREF lpszHostName AS WSTRINGZ, _
        BYREF lpszHostMask AS WSTRINGZ, _
        OPTIONAL BYVAL bResolve AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetMatchHostName STDCALL LIB "cswskav7.dll" ALIAS "InetMatchHostNameA" ( _
        BYREF lpszHostName AS STRINGZ, _
        BYREF lpszHostMask AS STRINGZ, _
        OPTIONAL BYVAL bResolve AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetRead STDCALL LIB "cswskav7.dll" ALIAS "InetRead" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpBuffer AS BYTE, _
        BYVAL cbBuffer AS LONG _
        ) AS LONG

DECLARE FUNCTION InetReadEx STDCALL LIB "cswskav7.dll" ALIAS "InetReadEx" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpBuffer AS BYTE, _
        BYVAL cbBuffer AS LONG, _
        BYVAL dwReserved AS DWORD, _
        BYREF lpRemoteAddress AS INTERNET_ADDRESS, _
        BYREF lpnRemotePort AS LONG _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetReadLine STDCALL LIB "cswskav7.dll" ALIAS "InetReadLineW" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpszBuffer AS WSTRINGZ, _
        BYREF lpnLength AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetReadLine STDCALL LIB "cswskav7.dll" ALIAS "InetReadLineA" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpszBuffer AS STRINGZ, _
        BYREF lpnLength AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetReadStream STDCALL LIB "cswskav7.dll" ALIAS "InetReadStream" ( _
        BYVAL hSocket AS DWORD, _
        lpvBuffer AS ANY, _
        BYREF lpdwLength AS DWORD, _
        OPTIONAL BYVAL dwOptions AS DWORD, _
        OPTIONAL BYREF lpMarker AS BYTE, _
        OPTIONAL BYVAL cbMarker AS LONG, _
        OPTIONAL BYVAL dwReserved AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetRegisterEvent STDCALL LIB "cswskav7.dll" ALIAS "InetRegisterEvent" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL fEvent AS LONG, _
        BYVAL lpfnEventProc AS DWORD, _
        OPTIONAL BYVAL dwParam AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetReject STDCALL LIB "cswskav7.dll" ALIAS "InetReject" ( _
        BYVAL hSocket AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetSetHostFile STDCALL LIB "cswskav7.dll" ALIAS "InetSetHostFileW" ( _
        BYREF lpszFileName AS WSTRINGZ _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetSetHostFile STDCALL LIB "cswskav7.dll" ALIAS "InetSetHostFileA" ( _
        BYREF lpszFileName AS STRINGZ _
        ) AS LONG
#ENDIF

DECLARE SUB InetSetLastError STDCALL LIB "cswskav7.dll" ALIAS "InetSetLastError" ( _
        BYVAL dwError AS DWORD _
        )

DECLARE FUNCTION InetSetOption STDCALL LIB "cswskav7.dll" ALIAS "InetSetOption" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL dwOption AS DWORD, _
        BYVAL bEnable AS LONG _
        ) AS LONG

DECLARE FUNCTION InetSetTimeout STDCALL LIB "cswskav7.dll" ALIAS "InetSetTimeout" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL nTimeout AS LONG _
        ) AS LONG

DECLARE FUNCTION InetShutdown STDCALL LIB "cswskav7.dll" ALIAS "InetShutdown" ( _
        BYVAL hSocket AS DWORD, _
        BYVAL dwOptions AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetStoreStream STDCALL LIB "cswskav7.dll" ALIAS "InetStoreStreamW" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpszFileName AS WSTRINGZ, _
        OPTIONAL BYVAL dwLength AS DWORD, _
        OPTIONAL BYREF lpdwCopied AS DWORD, _
        OPTIONAL BYVAL dwOffset AS DWORD, _
        OPTIONAL BYVAL dwOptions AS DWORD _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetStoreStream STDCALL LIB "cswskav7.dll" ALIAS "InetStoreStreamA" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpszFileName AS STRINGZ, _
        OPTIONAL BYVAL dwLength AS DWORD, _
        OPTIONAL BYREF lpdwCopied AS DWORD, _
        OPTIONAL BYVAL dwOffset AS DWORD, _
        OPTIONAL BYVAL dwOptions AS DWORD _
        ) AS LONG
#ENDIF

DECLARE SUB InetUninitialize STDCALL LIB "cswskav7.dll" ALIAS "InetUninitialize" ()

DECLARE FUNCTION InetWrite STDCALL LIB "cswskav7.dll" ALIAS "InetWrite" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpBuffer AS BYTE, _
        BYVAL cbBuffer AS LONG _
        ) AS LONG

DECLARE FUNCTION InetWriteEx STDCALL LIB "cswskav7.dll" ALIAS "InetWriteEx" ( _
        BYVAL hSocket AS DWORD, _
        BYREF lpBuffer AS BYTE, _
        BYVAL cbBuffer AS LONG, _
        BYVAL dwReserved AS DWORD, _
        BYREF lpRemoteAddress AS INTERNET_ADDRESS, _
        BYVAL nRemotePort AS LONG _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetWriteLine STDCALL LIB "cswskav7.dll" ALIAS "InetWriteLineW" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYREF lpszBuffer AS WSTRINGZ, _
        OPTIONAL BYREF lpnLength AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetWriteLine STDCALL LIB "cswskav7.dll" ALIAS "InetWriteLineA" ( _
        BYVAL hSocket AS DWORD, _
        OPTIONAL BYREF lpszBuffer AS STRINGZ, _
        OPTIONAL BYREF lpnLength AS LONG _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetWriteStream STDCALL LIB "cswskav7.dll" ALIAS "InetWriteStream" ( _
        BYVAL hSocket AS DWORD, _
        lpvBuffer AS ANY, _
        BYREF lpdwLength AS DWORD, _
        OPTIONAL BYVAL dwOptions AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetServerStart STDCALL LIB "cswskav7.dll" ALIAS "InetServerStartW" ( _
        BYREF lpszLocalHost AS WSTRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL nBacklog AS LONG, _
        BYVAL nMaxClients AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL nPriority AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL lpEventProc AS DWORD, _
        BYVAL dwEventParam AS DWORD, _
        BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetServerStart STDCALL LIB "cswskav7.dll" ALIAS "InetServerStartA" ( _
        BYREF lpszLocalHost AS STRINGZ, _
        BYVAL nLocalPort AS LONG, _
        BYVAL nBacklog AS LONG, _
        BYVAL nMaxClients AS LONG, _
        BYVAL nTimeout AS LONG, _
        BYVAL nPriority AS LONG, _
        BYVAL dwOptions AS DWORD, _
        BYVAL lpEventProc AS DWORD, _
        BYVAL dwEventParam AS DWORD, _
        BYVAL lpCredentials AS DWORD _
        ) AS DWORD
#ENDIF

DECLARE FUNCTION InetServerSuspend STDCALL LIB "cswskav7.dll" ALIAS "InetServerSuspend" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetServerResume STDCALL LIB "cswskav7.dll" ALIAS "InetServerResume" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetServerRestart STDCALL LIB "cswskav7.dll" ALIAS "InetServerRestart" ( _
        BYVAL hServer AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetServerThrottle STDCALL LIB "cswskav7.dll" ALIAS "InetServerThrottle" ( _
        BYVAL hServer AS DWORD, _
        BYVAL nMaxClients AS LONG, _
        BYVAL nMaxClientsPerAddress AS LONG, _
        BYVAL dwConnectionRate AS LONG _
        ) AS LONG

DECLARE FUNCTION InetServerStop STDCALL LIB "cswskav7.dll" ALIAS "InetServerStop" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetServerLock STDCALL LIB "cswskav7.dll" ALIAS "InetServerLock" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetServerUnlock STDCALL LIB "cswskav7.dll" ALIAS "InetServerUnlock" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetGetLockedServer STDCALL LIB "cswskav7.dll" ALIAS "InetGetLockedServer" ( _
        BYREF lpdwThreadId AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetServerBroadcast STDCALL LIB "cswskav7.dll" ALIAS "InetServerBroadcast" ( _
        BYVAL hServer AS DWORD, _
        BYREF lpBuffer AS BYTE, _
        BYVAL cbBuffer AS LONG _
        ) AS LONG

DECLARE FUNCTION InetGetServerStatus STDCALL LIB "cswskav7.dll" ALIAS "InetGetServerStatus" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetGetServerThreadId STDCALL LIB "cswskav7.dll" ALIAS "InetGetServerThreadId" ( _
        BYVAL hServer AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetGetServerData STDCALL LIB "cswskav7.dll" ALIAS "InetGetServerData" ( _
        BYVAL hServer AS DWORD, _
        BYREF lppvData AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetSetServerData STDCALL LIB "cswskav7.dll" ALIAS "InetSetServerData" ( _
        BYVAL hServer AS DWORD, _
        BYVAL lpvData AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetEnumServerClients STDCALL LIB "cswskav7.dll" ALIAS "InetEnumServerClients" ( _
        BYVAL hServer AS DWORD, _
        BYREF lpClients AS LONG, _
        BYVAL nMaxClients AS LONG _
        ) AS LONG

DECLARE FUNCTION InetClientBroadcast STDCALL LIB "cswskav7.dll" ALIAS "InetClientBroadcast" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpBuffer AS BYTE, _
        BYVAL cbBuffer AS LONG _
        ) AS LONG

DECLARE FUNCTION InetGetClientServer STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientServer" ( _
        BYVAL hClient AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetGetClientThreadId STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientThreadId" ( _
        BYVAL hClient AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetGetClientData STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientData" ( _
        BYVAL hClient AS DWORD, _
        BYREF lppvData AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetSetClientData STDCALL LIB "cswskav7.dll" ALIAS "InetSetClientData" ( _
        BYVAL hClient AS DWORD, _
        BYVAL lpvData AS DWORD _
        ) AS LONG

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetFindClientMoniker STDCALL LIB "cswskav7.dll" ALIAS "InetFindClientMonikerW" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpszMoniker AS WSTRINGZ _
        ) AS DWORD
#ELSE
DECLARE FUNCTION InetFindClientMoniker STDCALL LIB "cswskav7.dll" ALIAS "InetFindClientMonikerA" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpszMoniker AS STRINGZ _
        ) AS DWORD
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetGetClientMoniker STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientMonikerW" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpszMoniker AS WSTRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetGetClientMoniker STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientMonikerA" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpszMoniker AS STRINGZ, _
        BYVAL nMaxLength AS LONG _
        ) AS LONG
#ENDIF

#IF %DEF(%UNICODE)
DECLARE FUNCTION InetSetClientMoniker STDCALL LIB "cswskav7.dll" ALIAS "InetSetClientMonikerW" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpszMoniker AS WSTRINGZ _
        ) AS LONG
#ELSE
DECLARE FUNCTION InetSetClientMoniker STDCALL LIB "cswskav7.dll" ALIAS "InetSetClientMonikerA" ( _
        BYVAL hClient AS DWORD, _
        BYREF lpszMoniker AS STRINGZ _
        ) AS LONG
#ENDIF

DECLARE FUNCTION InetGetClientPriority STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientPriority" ( _
        BYVAL hClient AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetSetClientPriority STDCALL LIB "cswskav7.dll" ALIAS "InetSetClientPriority" ( _
        BYVAL hClient AS DWORD, _
        BYVAL nPriority AS LONG _
        ) AS LONG

DECLARE FUNCTION InetGetServerPriority STDCALL LIB "cswskav7.dll" ALIAS "InetGetServerPriority" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetSetServerPriority STDCALL LIB "cswskav7.dll" ALIAS "InetSetServerPriority" ( _
        BYVAL hServer AS DWORD, _
        BYVAL nPriority AS LONG _
        ) AS LONG

DECLARE FUNCTION InetServerEnqueue STDCALL LIB "cswskav7.dll" ALIAS "InetServerEnqueue" ( _
        BYVAL hServer AS DWORD, _
        lpItemData AS ANY, _
        BYVAL dwItemSize AS LONG _
        ) AS LONG

DECLARE FUNCTION InetServerDequeue STDCALL LIB "cswskav7.dll" ALIAS "InetServerDequeue" ( _
        BYVAL hServer AS DWORD, _
        BYVAL bRemove AS LONG, _
        lpItemData AS ANY, _
        BYREF lpdwItemSize AS LONG _
        ) AS LONG

DECLARE FUNCTION InetClearServerQueue STDCALL LIB "cswskav7.dll" ALIAS "InetClearServerQueue" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetGetServerQueueCount STDCALL LIB "cswskav7.dll" ALIAS "InetGetServerQueueCount" ( _
        BYVAL hServer AS DWORD _
        ) AS LONG

DECLARE FUNCTION InetGetServerClient STDCALL LIB "cswskav7.dll" ALIAS "InetGetServerClient" ( _
        BYVAL hClient AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetGetClientId STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientId" ( _
        BYVAL hClient AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetGetClientHandle STDCALL LIB "cswskav7.dll" ALIAS "InetGetClientHandle" ( _
        BYVAL hServer AS DWORD, _
        BYVAL dwClientId AS DWORD _
        ) AS DWORD

DECLARE FUNCTION InetGetThreadClient STDCALL LIB "cswskav7.dll" ALIAS "InetGetThreadClient" ( _
        BYVAL dwThreadId AS DWORD _
        ) AS DWORD

#ENDIF
